> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poderp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Products

> Returns all products (SPUs) available to the authenticated customer, including their variants (SKUs).

Returns all products available to your account. Each product includes its variants (SKUs) with the `skuCode` you need for creating orders.


## OpenAPI

````yaml GET /api/openapi/products
openapi: 3.1.0
info:
  title: Pod ERP OpenAPI
  description: Pod ERP Open API for order management
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://api.platform.poderp.com
security:
  - bearerAuth: []
paths:
  /api/openapi/products:
    get:
      summary: List Products
      description: >-
        Returns all products (SPUs) available to the authenticated customer,
        including their variants (SKUs).
      responses:
        '200':
          description: List of available products
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProductResponse'
components:
  schemas:
    ProductResponse:
      type: object
      properties:
        spuCode:
          type: string
          description: Product code
        title:
          type: string
          description: Product title
        name:
          type: string
          description: English name
        cnName:
          type: string
          description: Chinese name
        category:
          type: string
          description: Product category
        productImage:
          type: string
          description: Product image URL
        sizes:
          type: array
          items:
            type: string
          description: Available sizes
        colors:
          type: array
          items:
            type: string
          description: Available colors
        variants:
          type: array
          items:
            $ref: '#/components/schemas/VariantResponse'
          description: All SKU variants of this product
    VariantResponse:
      type: object
      properties:
        skuCode:
          type: string
          description: SKU code — use this value in the `sku` field when creating orders
        size:
          type: string
          description: Variant size
        color:
          type: string
          description: Variant color
        weight:
          type: number
          description: Weight in kg
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````